#
# spec file for package ghc-diagrams-lib
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name diagrams-lib
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.4.1.2
Release:        lp150.1.4
Summary:        Embedded domain-specific language for declarative graphics
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/3.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-JuicyPixels-devel
BuildRequires:  ghc-active-devel
BuildRequires:  ghc-adjunctions-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cereal-devel
BuildRequires:  ghc-colour-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-data-default-class-devel
BuildRequires:  ghc-diagrams-core-devel
BuildRequires:  ghc-diagrams-solve-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-distributive-devel
BuildRequires:  ghc-dual-tree-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-fingertree-devel
BuildRequires:  ghc-fsnotify-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-intervals-devel
BuildRequires:  ghc-lens-devel
BuildRequires:  ghc-linear-devel
BuildRequires:  ghc-monoid-extras-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-profunctors-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-tagged-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
%if %{with tests}
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-numeric-extras-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
BuildRequires:  ghc-tasty-quickcheck-devel
%endif

%description
Diagrams is a flexible, extensible EDSL for creating graphics of many types.
Graphics can be created in arbitrary vector spaces and rendered with multiple
backends. diagrams-lib provides a standard library of primitives and operations
for creating diagrams. To get started using it, see the "Diagrams" module, and
refer to the tutorials and documentation on the diagrams website,
<http://projects.haskell.org/diagrams>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.markdown

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Tue Jul  4 2017 psimons@suse.com
- Update to version 1.4.1.2 revision 3.
* Sun Jun 25 2017 psimons@suse.com
- Update to version 1.4.1.2 revision 2.
* Mon Jun 12 2017 psimons@suse.com
- Update to version 1.4.1.2.
* Wed May 31 2017 psimons@suse.com
- Update to version 1.4.1.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 1.4.0.1 revision 1 with cabal2obs.
* Sun Aug 21 2016 psimons@suse.com
- Update to version 1.3.1.4 revision 0 with cabal2obs.
* Wed Aug 17 2016 psimons@suse.com
- Update to version 1.3.1.3 revision 2 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.3.1.3 revision 0 with cabal2obs.
